close all
clear all
clc

na=100;
nb=100;

m1a=6.0000; %mean marker 1 controls
m2a=6.0000; %mean marker 2 controls
m1b=6.5068; %mean marker 1 diseased
m2b=6.5068; %mean marker 2 diseased
s1a=1.0000; %std  marker 1 controls
s1b=1.0000; %std  marker 1 diseased
s2a=1.0000; %std  marker 1 controls
s2b=1.0000; %std  marker 2 diseased
mycov=0.7; %covariance


Wa=mvnrnd([m1a m2a]',[s1a^2 mycov;mycov s2a^2],na);
Wb=mvnrnd([m1b m2b]',[s1b^2 mycov;mycov s2b^2],nb);
W1a=Wa(:,1);W2a=Wa(:,2);
W1b=Wb(:,1);W2b=Wb(:,2);

W1=[W1a;W1b];
W2=[W2a;W2b];
 
%=======================ESTIMATION==========================
%assuming normality:
[Z, Zstar, Zlogit, Zprobit, CIZ, CIZstar, CIlogit, CIprobit]=compareY(W1a,W1b,W2a,W2b)
%Box-Cox based:
%[Z, Zstar, Zlogit, Zprobit, CIZ, CIZstar, CIlogit, CIprobit]=compareYbc(W1a,W1b,W2a,W2b)
%Kernel-Based:
%[Z, Zstar, Zlogit, Zprobit, CIZ, CIZstar, CIlogit, CIprobit]=compareYk(W1a,W1b,W2a,W2b)
%===================END ESTIMATION==========================



