function [Z, Zstar, Zlogit, Zprobit, CIZ, CIZstar, CIlogit, CIprobit, J1hat, J2hat, c1, c2, F1a, F1b, F2a, F2b]=compareYk(W1a,W1b,W2a,W2b)

    aa=1;
    rand('twister', 5493+aa);
      randn('state', 3+aa);
      randn('seed',3+aa);
      rand('seed',3+aa);

%================================ESTIMATION ===========================

if size(W1a,1)==1;W1a=W1a';end
if size(W1b,1)==1;W1b=W1b';end
if size(W2a,1)==1;W2a=W2a';end
if size(W2b,1)==1;W2b=W2b';end

%Wa=[W1a W2a];
%Wb=[W1b W2b];

na=length(W1a);
nb=length(W1b);

ca=cov([W1a W2a]);cova=ca(1,2);
cb=cov([W1b W2b]);covb=cb(1,2);



%=============================================
            
%===========START KERNEL ESTIMATION:=============
corrhata=corr([W1a W2a]);corrhata=corrhata(1,2);
h1a=std(W1a)*(1-corrhata^2)^(5/12)*(1+corrhata^2/2)^(-1/6)*na^(-1/6);
h2a=std(W2a)*(1-corrhata^2)^(5/12)*(1+corrhata^2/2)^(-1/6)*na^(-1/6);

corrhatb=corr([W1b W2b]);corrhatb=corrhatb(1,2);
h1b=std(W1b)*(1-corrhatb^2)^(5/12)*(1+corrhatb^2/2)^(-1/6)*nb^(-1/6);
h2b=std(W2b)*(1-corrhatb^2)^(5/12)*(1+corrhatb^2/2)^(-1/6)*nb^(-1/6);



%     h1a=0.9*min(std(W1a),iqr(W1a)/1.34)*length(W1a)^(-0.2);
%     h2a=0.9*min(std(W2a),iqr(W2a)/1.34)*length(W2a)^(-0.2);
%     h1b=0.9*min(std(W1b),iqr(W1b)/1.34)*length(W1b)^(-0.2);
%     h2b=0.9*min(std(W2b),iqr(W2b)/1.34)*length(W2b)^(-0.2);


%      F1a=@(t) ksdensity(W1a,t,'width',h1a,'function','cdf', 'support', 'positive');
%      F1b=@(t) ksdensity(W1b,t,'width',h1b,'function','cdf', 'support', 'positive');
%      F2a=@(t) ksdensity(W2a,t,'width',h2a,'function','cdf', 'support', 'positive');
%      F2b=@(t) ksdensity(W2b,t,'width',h2b,'function','cdf', 'support', 'positive');
    

      F1a=@(t) ksdensity(W1a,t,'function','cdf');
      F1b=@(t) ksdensity(W1b,t,'function','cdf');
      F2a=@(t) ksdensity(W2a,t,'function','cdf');
      F2b=@(t) ksdensity(W2b,t,'function','cdf');

    sens1=@(c) 1-F1b(c);
    spec1=@(c) F1a(c);
    J1=@(c) - (sens1(c)+spec1(c)-1);
    init1=(mean(W1a)+mean(W1b))/2;
    %options=optimset('MaxIter',90000);
    [c1, J1hat ,  exitflag]=fminsearch(J1,init1);
    exitflag;
    
    sens2=@(c) 1-F2b(c);
    spec2=@(c) F2a(c);
    J2=@(c) - (sens2(c)+spec2(c)-1);
    init2=(mean(W2a)+mean(W2b))/2;
    [c2, J2hat ,  exitflag]=fminsearch(J2,init2);
    J1hat=-J1hat;
    J2hat=-J2hat;
    
    Js=[J1hat J2hat];
    J1hat_and_J2hat=Js
 
    boots=1;
while boots<=400;
    boots;
    if boots==25 || boots==50 || boots==100 || boots==200 || boots==300
        boots
    end
    ata=randsample(1:na,na,'true');
    atb=randsample(1:nb,nb,'true');
    
    corrhata=corr([W1a(ata) W2a(ata)]);corrhata=corrhata(1,2);
    h1a=std(W1a(ata))*(1-corrhata^2)^(5/12)*(1+corrhata^2/2)^(-1/6)*na^(-1/6);
    h2a=std(W2a(ata))*(1-corrhata^2)^(5/12)*(1+corrhata^2/2)^(-1/6)*na^(-1/6);

    corrhatb=corr([W1b(atb) W2b(atb)]);corrhatb=corrhatb(1,2);
    h1b=std(W1b(atb))*(1-corrhatb^2)^(5/12)*(1+corrhatb^2/2)^(-1/6)*nb^(-1/6);
    h2b=std(W2b(atb))*(1-corrhatb^2)^(5/12)*(1+corrhatb^2/2)^(-1/6)*nb^(-1/6);

    
    F1a_boots=@(t) ksdensity(W1a(ata),t,'width',h1a,'function','cdf');
    F1b_boots=@(t) ksdensity(W1b(atb),t,'width',h1b,'function','cdf');
    F2a_boots=@(t) ksdensity(W2a(ata),t,'width',h2a,'function','cdf');
    F2b_boots=@(t) ksdensity(W2b(atb),t,'width',h2b,'function','cdf');
    
    sens1_boots=@(c) 1-F1b_boots(c);
    spec1_boots=@(c) F1a_boots(c);
    J1_boots=@(c) - (sens1_boots(c)+spec1_boots(c)-1);
    [c1_boots, J1b(boots) ,   exitflag1_boots]=fminsearch(J1_boots,init1);
    
    sens2_boots=@(c) 1-F2b_boots(c);
    spec2_boots=@(c) F2a_boots(c);
    J2_boots=@(c) - (sens2_boots(c)+spec2_boots(c)-1);
    [c2_boots, J2b(boots) ,   exitflag2_boots]=fminsearch(J2_boots,init2);
    
    if exitflag1_boots==1 && exitflag2_boots==1
        boots=boots+1;
    end

end
    J1b=-J1b;
    J2b=-J2b;
    

COVJ12=cov([J1b' J2b']);
VJ1=COVJ12(1,1);
VJ2=COVJ12(2,2);
COVJ12=COVJ12(1,2);
%==============================================
J1=J1hat;
J2=J2hat;


Z=(J2-J1)./(sqrt(VJ1+VJ2-2*COVJ12));
SE=(sqrt(VJ1+VJ2-2*COVJ12));
CIZ=[(J2-J1)-1.96*SE (J2-J1)+1.96*SE];

logitJ2=log(J2/(1-J2));
logitJ1=log(J1/(1-J1));
VJT1=1/(J1^2*(J1-1)^2)*VJ1;
VJT2=1/(J2^2*(J2-1)^2)*VJ2;
V12=[VJ1 COVJ12;COVJ12 VJ2];
COVJT12=[-1/(J1*(J1-1)) 0]*V12*[0 -1/(J2*(J2-1))]';
Zlogit=(logitJ2-logitJ1)./(sqrt(VJT1+VJT2-2*COVJT12));
SE=(sqrt(VJT1+VJT2-2*COVJT12));
CIlogit=[(logitJ2-logitJ1)-1.96*SE (logitJ2-logitJ1)+1.96*SE];

probitJ2=norminv(J2);
probitJ1=norminv(J1);
VJT1=1/(normpdf(norminv(J1)))^2*VJ1;
VJT2=1/(normpdf(norminv(J2)))^2*VJ2;
V12=[VJ1 COVJ12;COVJ12 VJ2];
COVJT12=[1/(normpdf(norminv(J1))) 0]*V12*[0 1/(normpdf(norminv(J2)))]';
Zprobit=(probitJ2-probitJ1)./(sqrt(VJT1+VJT2-2*COVJT12));
SE=(sqrt(VJT1+VJT2-2*COVJT12));
CIprobit=[(probitJ2-probitJ1)-1.96*SE (probitJ2-probitJ1)+1.96*SE];


JT2=log(0.5*(J2+1)/(1-0.5*(J2+1)));
JT1=log(0.5*(J1+1)/(1-0.5*(J1+1)));
VJT1=4/(J1^2-1)^2*VJ1;
VJT2=4/(J2^2-1)^2*VJ2;
COVJT12=[-2/(J1^2-1) 0]*V12*[0 -2/(J2^2-1)]';
Zstar=(JT2-JT1)./(sqrt(VJT1+VJT2-2*COVJT12));
SE=(sqrt(VJT1+VJT2-2*COVJT12));
CIZstar=[(JT2-JT1)-1.96*SE (JT2-JT1)+1.96*SE];





end


